import { Meta, Story, Canvas, Description } from '@storybook/addon-docs/blocks';
import { withKnobs, number, text } from '@storybook/addon-knobs';
import readme from './readme.md';
// import { ProgressbarVariation } from './progressbar-variation.enum.ts';
import { LayoutContainerVariation } from '../../_layout/layout-container/layout-container-variation.enum.ts';

<Meta
  title="Progress/digi-progress-step"
  parameters={{
    actions: {
      handles: ['afOnPageChange']
    }
  }}
  decorators={[withKnobs]}
/>

<!-- Description pulled from auto generated Stencil docs -->

<Description markdown={readme} />

## Primary

This is a default progress step component

## Primary

This is a default progress step component

<Canvas>
  <Story name="Primary">
    /* html */
    {`\
<digi-progress-step af-heading="Heading" af-step-status="done">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</digi-progress-step>
    `}
  </Story>
</Canvas>

## secondary

This is a default progress step component

<Canvas>
  <Story name="secondary">
    /* html */
    {`\
<digi-progress-step af-heading="Heading" af-step-status="done" af-variation="secondary">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</digi-progress-step>
    `}
  </Story>
</Canvas>

## state

The component has three different states, current, done and upcoming.

<Canvas>
  <Story name="current">
    /* html */
    {`\
<digi-progress-step af-heading="Heading" af-step-status="current" af-variation="secondary">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</digi-progress-step>
    `}
  </Story>
</Canvas>

<Canvas>
  <Story name="done">
    /* html */
    {`\
<digi-progress-step af-heading="Heading" af-step-status="done" af-variation="secondary">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</digi-progress-step>
    `}
  </Story>
</Canvas>

<Canvas>
  <Story name="upcoming">
    /* html */
    {`\
<digi-progress-step af-heading="Heading" af-step-status="upcoming" af-variation="secondary">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</digi-progress-step>
    `}
  </Story>
</Canvas>
